<?php
/*################################################
@author: Code Tecnologia
@date: 23/04/2020
@version: 1.00
@purpose: Classe responsavel por aceitar Termo

Resposta esperada:
{
 "erro": false,
 "mensagem":"Você concordou com os termos de uso. Já pode usar o aplicativo."
}
*/
  
################################################*/

include_once("connect.php");

//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}

//Verificando se a mensagem foi transmitida por POST
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'POST') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato recebido nao e um POST');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}

//Verificando se o Content-type e 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem esta incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/


//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros


  //obtendo informacoes do Header da mensagem
	$product_id      = isset($_POST["PRODUCT_ID"])  ? trim($_POST["PRODUCT_ID"])    : '';
    $token       	 = isset($_POST["TOKEN"])       ? trim($_POST["TOKEN"])    : '';//pegando o cep do header    
    $token_decoded 	 = base64_decode($token);	

	//Caso o mobile passe a variavel sem valor para atualizacao.
   if(empty($token) || empty($product_id)){
		$status = array(
					'erro' => 'true',
					'mensagem' => 'Token ou Produto nao informado');
		  //$json = json_encode($status);
		  //enviarCurl($url,$json);
		  exibir_json($status);
		  exit(0);
	}else{


			$consulta_favorito = "select * from code_favoritos
 								   where product_id = $product_id and customer_id = $token_decoded";

 			//echo $consulta_favorito;
 			//exit;


			 //Query para verificar se o produto já existe e então inverter    
			$result = mysqli_query($conexao, $consulta_favorito) or die(mysqli_error($conexao));
	        if(mysqli_num_rows($result)>0){
	            while($row = mysqli_fetch_assoc($result)){
	                $favoritar = "delete from code_favoritos  where product_id = $product_id and customer_id = $token_decoded";
	            }
			}else {
					$favoritar = "insert into code_favoritos (product_id, customer_id) values ($product_id, $token_decoded)";
			
			}


			
		
		//echo $favoritar;
		//exit(0);
		
		
		}
		mysqli_query($conexao, $favoritar) or die ($conexao);
		
                
                $status = array( 'erro' => 'false'
    				    	,'mensagem' => 'Sua lista de favoritos foi atualizada.'
    				    	);
                //$json = json_encode($status);
            	exibir_json($status);
                exit(0);



?>